/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-17 16:34:17.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print;

import cn.com.qmth.examcloud.web.bootstrap.AppBootstrap;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.domain.EntityScan;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.data.jpa.repository.config.EnableJpaAuditing;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;
import org.springframework.transaction.annotation.EnableTransactionManagement;

/**
 * @author: fengdesheng
 * @since: 2018/10/17
 */
@EnableJpaAuditing
@EnableEurekaClient
@EnableDiscoveryClient
@SpringBootApplication
@EnableTransactionManagement
@ComponentScan(basePackages = {"cn.com.qmth.examcloud"})
@EntityScan(basePackages = {"cn.com.qmth.examcloud"})
@EnableJpaRepositories(basePackages = {"cn.com.qmth.examcloud"})
public class PrintApplication extends SpringBootServletInitializer {

    static {
        String runtimeLevel = System.getProperty("log.commonLevel");
        if (null == runtimeLevel) {
            System.setProperty("log.commonLevel", "DEBUG");
        }
        System.setProperty("hibernate.dialect.storage_engine", "innodb");
    }

    public static void main(String[] args) throws Exception {
        //SpringApplication.run(PrintApplication.class, args);
        AppBootstrap.run(PrintApplication.class, args);
    }

}